var Query = require('./Query');
var ModelFactory = require('./ModelFactory');

var ORM = {
  knex: null,
  query: null,
  /*
  migration: null,
  migrate: {
    up: function() {
      return ORM.migration.up(ORM.knex);
    },
    down: function() {
      return ORM.migration.down(ORM.knex);
    }
  },
  */
  models: {},
  Model: {
    extend: function(tableName, attributes) {
      var model = new ModelFactory();
      ORM.models[tableName] = model.extend(ORM, tableName, attributes);
      return model;
    }
  },
  connect: function(connection, settings) {
    ORM.knex = require('knex')(Object.assign({ debug: false }, connection));
    ORM.query = Query;
    ORM.query.ORM = ORM;
    //ORM.migration = require('./' + settings.migrations);
  }
};

module.exports = ORM;