'use strict';
global.chai = require('chai');
global.should = chai.should();

// Library
global.ORM = require('../lib/ORM');
var UserModel = require('../models/user');
var PostModel = require('../models/post');
var TagModel = require('../models/tag');

// Before all tests
before(function(done) {
  ORM.connect({
    client: 'postgresql',
    connection: {
      host: '127.0.0.1',
      user: 'pi',
      password: 'raspberry',
      database: 'orm_development'
    }
  }, {
    migrations: '../migration.js'
  });
  return ORM.migrate.up().then(function() {
    console.log('Test: Database up');
    done();
  });
});

// After all tests
after(function(done) {
  return ORM.migrate.down().then(function() {
    console.log('Test: Database down');
    done();
  });
});
